package com.qmth.themis.business.annotation;

import java.lang.annotation.*;

@Target({ElementType.METHOD, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Inherited
@Documented
public @interface RedisLimitAnnotation {

    /**
     * key
     */
    String key() default "";

    /**
     * Key的前缀
     */
    String prefix() default "";

    /**
     * 一定时间内最多访问次数
     */
    int count();

    /**
     * 给定的时间范围 单位(秒)
     */
    int period();
}

